import RPi.GPIO as GPIO #Librairie pour gérer le Raspberry Pi 3
import time

GPIO.setmode(GPIO.BCM) #Gestion de numéro de pins (BCM = ceux après le GPIO)

GPIO.setup(21, GPIO.OUT) #Pin EN
GPIO.setup(12, GPIO.OUT) #Pin PWM
GPIO.setup(13, GPIO.OUT) #Pin PWM

GPIO.output(21, 1) #Activation de EN

p12 = GPIO.PWM(12,585) #585 = freq
p13 = GPIO.PWM(13,585)

time.sleep(2)

p12.start(0) #On lance un pwm
while True: #On boucle sur plusieurs vitesses
    print(50)
    p12.ChangeDutyCycle(50)
    time.sleep(2)
    print(100)
    p12.ChangeDutyCycle(100)
    time.sleep(2)
    print(0)
    p12.ChangeDutyCycle(0)
    time.sleep(2)




